
!GRPharoPlatform methodsFor: '*comet-pharo-core' stamp: 'jf 2/9/2010 01:26'!
cometForkProcessDo: aBlock
	^ aBlock forkAt: 20 named: 'ping'! !

!GRPharoPlatform methodsFor: '*comet-pharo-core' stamp: 'jf 2/9/2010 01:26'!
cometWait
	(Delay forSeconds: 15) wait! !

!SocketStream methodsFor: '*comet-pharo-core' stamp: 'lr 3/25/2009 14:16'!
flushComet
	"Flushes the receiver and answer if the socket is still in a valid state and both ends are properly connected. Free the socket, as a side-effect if there is a problem."
	
	| result |
	result := [ self flush. true ]
		on: NetworkError
		do: [ :err | false ].
	result := result and: [ self isConnected and: [ self isOtherEndConnected ] ].
	result ifFalse: [ socket destroy ].
	^ result! !

!GRPackage class methodsFor: '*comet-pharo-core' stamp: 'lr 2/17/2010 15:10'!
cometPharoCore
	^ self new
		name: 'Comet-Pharo-Core';
		addDependency: 'Comet-Core';
		url: #seasideUrl;
		yourself! !
